Jump to content


Photo

Alternate WPDN Firmware: OP-based "OPDN" (current version 2.1.1)


  • Please log in to reply
1233 replies to this topic

#21 hardcopi

hardcopi

    Newbie

  • Jr. Member
  • Pip
  • 5 posts

Posted 24 February 2011 - 02:27 PM

I finally got around to trying the ad hoc using my virgin mobile cell phone. Worked beautiful. Used Wifi Tether and it connected fine (I did have to reboot it, but it seems I do whenever I connect to a new network). It was pretty darned fast too, was able to play a youtube video with no stuttering and only a few seconds of original buffering time.

The volkey hack works great when using Aldiko. These updates have made it fully functioning for what I needed.

Thanks,

Rich.

#22 PDuser

PDuser

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 30 posts

Posted 24 February 2011 - 03:27 PM

I loaded the latest FW from Pandigital (SH20_20110215_K_PD_INX7E_ENG_6410POP.zip); loaded the OPDN v2.0.0 GAPPS - SH20_OPDN_2_00_GAPPS_PD_INX7E_ENG_6410POP.zip; followed the instructions for Market and got it working. I then ran restore framework.jar. Everything looked good. WiFi was working. Email worked. Ran B&N and got the "unknown error" message. I'd like to go back to stock Pandigital FW and check to make sure B&N is working but I'm not sure how to proceed in order to get back to either 2/15 or 1/27 build. I tried removing any "zip" files from the PD_Novel (I assume that's the internal SD) and loading (flashing) the 2/15 Pandigital FW but I get android error icon when I try that. What should I do next?

#23 mrsburnout

mrsburnout

    "Linkmeister"

  • Administrators
  • 7,251 posts
  • LocationUSA

Posted 24 February 2011 - 03:36 PM

I loaded the latest FW from Pandigital (SH20_20110215_K_PD_INX7E_ENG_6410POP.zip); loaded the OPDN v2.0.0 GAPPS - SH20_OPDN_2_00_GAPPS_PD_INX7E_ENG_6410POP.zip; followed the instructions for Market and got it working. I then ran restore framework.jar. Everything looked good. WiFi was working. Email worked. Ran B&N and got the "unknown error" message. I'd like to go back to stock Pandigital FW and check to make sure B&N is working but I'm not sure how to proceed in order to get back to either 2/15 or 1/27 build. I tried removing any "zip" files from the PD_Novel (I assume that's the internal SD) and loading (flashing) the 2/15 Pandigital FW but I get android error icon when I try that. What should I do next?

Here is Pandigital's download Mirror Stock SH20_20110215_K_PD_INX7E_ENG_6410POP Here

Remove any FW files from your internal microSD and power your WPDN off.
Get the current stock FW from the link above.
Flash this from your External SD.
You will need to flash this twice.
You should be back to stock.
YMMV = Your Mileage May Vary - Not even OEM FW is guaranteed "safe" to flash.

Hey! Newbies (n00bs) - Click the blue links ;) - Forum Rules

"Dream as if you'll live forever. Live as if you'll die today." ~James Dean
"Slatedroid: Where all the advice is free, even advice you don't want." ~Mark Adams #113449
"Women are Angels. When someone breaks our wings - we simply continue to fly - on a broomstick. We are flexible like that."

Posted Image ~cheers

#24 PDuser

PDuser

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 30 posts

Posted 24 February 2011 - 03:53 PM

Here is Pandigital's download Mirror Stock SH20_20110215_K_PD_INX7E_ENG_6410POP Here

Remove any FW files from your internal microSD and power your WPDN off.
Get the current stock FW from the link above.
Flash this from your External SD.
You will need to flash this twice.
You should be back to stock.


Thanks "Mrsburnout"...that brought me back to stock. I'm going to make sure B&N works, default all of the settings and try running the BASE mod with a flash update for Market only and see it that has any issues.

#25 PDuser

PDuser

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 30 posts

Posted 24 February 2011 - 04:07 PM

I guess my next question is: should I be installing these mods from the internal (PD_Novel) SD or from my external SD? I'm really confused as to which SD I should be making changes from and why. It seems like upgrades are put into the internal SD and reverts into the external SD (only back as far as 1/27 or I run into huge problems, right?). Is that the case or am I just completely clueless (and yes, I'm VERY new to the PD and the Android OS so being called clueless wouldn't be the worst thing in the world).

#26 mrsburnout

mrsburnout

    "Linkmeister"

  • Administrators
  • 7,251 posts
  • LocationUSA

Posted 24 February 2011 - 04:18 PM

I guess my next question is: should I be installing these mods from the internal (PD_Novel) SD or from my external SD? I'm really confused as to which SD I should be making changes from and why. It seems like upgrades are put into the internal SD and reverts into the external SD (only back as far as 1/27 or I run into huge problems, right?). Is that the case or am I just completely clueless (and yes, I'm VERY new to the PD and the Android OS so being called clueless wouldn't be the worst thing in the world).


Internal = microSD card
External = SD card


kewlguy's Instructions from first post

Instructions if moving from a non-OP ROM (pretty much anything pre-2011):

1.Copy the zip to the root of your SD card (ensure that NO other firmware updates or enhancement updates are present on your card)

2.Flash as usual, this might take several minutes to complete and it will reboot automagically ( turn off your PDN, and flash by holding volume up and the power button simultaneously for about 5 seconds until you see the flash process begin)

3.After the first boot into the UI, copy the file back to the root of SD card and flash AGAIN. This is required to install all the user applications, like ES File Explorer

4.Once the second flash is complete, feel free to add the external SD card again


  • Mark Adams likes this
YMMV = Your Mileage May Vary - Not even OEM FW is guaranteed "safe" to flash.

Hey! Newbies (n00bs) - Click the blue links ;) - Forum Rules

"Dream as if you'll live forever. Live as if you'll die today." ~James Dean
"Slatedroid: Where all the advice is free, even advice you don't want." ~Mark Adams #113449
"Women are Angels. When someone breaks our wings - we simply continue to fly - on a broomstick. We are flexible like that."

Posted Image ~cheers

#27 PDuser

PDuser

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 30 posts

Posted 24 February 2011 - 05:02 PM

I went back to the stock PD FW (2-15) and B&N works. I loaded the BASE mod (no Market) and B&N didn't work. I loaded Volkey. B&N still didn't work. I'm now back to stock PD FW. I guess I'll wait until someone figures out what's causing the issue with the B&N application.

#28 burgerflipper

burgerflipper

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 64 posts

Posted 24 February 2011 - 05:15 PM

Mrs. B, I think PDuser actually asks a good question there. The way those instructions read, I think maybe kewldude meant to type microSD. Those instructions seem almost identical to the the ones for Roebeet's mod (which did flash from the internal card). And #4 doesn't make sense if you are already using the SD card (plus you wouldn't have to copy the file to the root again for the second flash).

I flashed it from the internal and everything worked just fine, except the B&N.

#29 kewlguy

kewlguy

    Advanced Member

  • Hero Member
  • PipPipPip
  • 429 posts
  • LocationAtlanta, GA

Posted 24 February 2011 - 05:16 PM

I went back to the stock PD FW (2-15) and B&N works. I loaded the BASE mod (no Market) and B&N didn't work. I loaded Volkey. B&N still didn't work. I'm now back to stock PD FW. I guess I'll wait until someone figures out what's causing the issue with the B&N application.

I'm trying to figure out what could be causing the B&N issues. I've tried removing pretty much every enhancement from the updater-script but the books still get an unknown error. I'll keep you posted.
Like my work?  Consider donating to support future development.

Posted Image

#30 mrsburnout

mrsburnout

    "Linkmeister"

  • Administrators
  • 7,251 posts
  • LocationUSA

Posted 24 February 2011 - 05:28 PM

Mrs. B, I think PDuser actually asks a good question there. The way those instructions read, I think maybe kewldude meant to type microSD. Those instructions seem almost identical to the the ones for Roebeet's mod (which did flash from the internal card). And #4 doesn't make sense if you are already using the SD card (plus you wouldn't have to copy the file to the root again for the second flash).

I flashed it from the internal and everything worked just fine, except the B&N.


@burgerflipper and PDuser

Personally, I don't think it matters which card a person flashes from. I have done it both ways successfully. The way kewlguy has it written, I read it as External SD. The way roebeet writes his, it is definitely Internal microSD. The differences are mainly (IMHO) the way they have found to work while making their mods.


By using the External SD card to flash FW, the FW file isn't accidentally / inadvertently left on the internal microSD when changing FWs or adding enhancements. If there is a FW left on the internal microSD, while flashing from the External SD, Angry Andy shows up. Thus causing an unsuccessful FW flash.

Again:
Internal = microSD card
External = SD card


To point out the differences:
Kewlguys instructions are quoted 4 posts back in reply #26

roebeet's instructions here.

Instructions (if moving from a non-OP ROM):

- Pull out the external SD
- Copy the zip to the root of your microSD ("PD_Novel")
- Flash as usual, this might take several minutes to complete and it will reboot automagically
- After the first boot into the UI, copy the file back to the root of microSD and flash AGAIN. This is required to install all the user applications, like ES File Explorer
- Once the second flash is complete, feel free to add the external SD card again


  • Mark Adams likes this
YMMV = Your Mileage May Vary - Not even OEM FW is guaranteed "safe" to flash.

Hey! Newbies (n00bs) - Click the blue links ;) - Forum Rules

"Dream as if you'll live forever. Live as if you'll die today." ~James Dean
"Slatedroid: Where all the advice is free, even advice you don't want." ~Mark Adams #113449
"Women are Angels. When someone breaks our wings - we simply continue to fly - on a broomstick. We are flexible like that."

Posted Image ~cheers

#31 kewlguy

kewlguy

    Advanced Member

  • Hero Member
  • PipPipPip
  • 429 posts
  • LocationAtlanta, GA

Posted 24 February 2011 - 06:05 PM

It doesn't matter which card you flash from as long as you ENSURE that there is only ONE update file on your card. I personally use the external, but that is still from the dark days of flash loops where it was an additional safe guard.
Like my work?  Consider donating to support future development.

Posted Image

#32 Mark Adams

Mark Adams

    PDN Wiki Master, Speaker to n00bs

  • Global Administrator
  • 2,338 posts
  • Location41.6927560 / -83.5456899

Posted 24 February 2011 - 06:10 PM

Could it be that it's because B&N is closing stores and it's stock took a nose-dive they just don't care if their stuff works anymore?
Don't EVEN ask until you READ THE PDN WIKI *PM me for editing access.

There are a thousand hacking at the branches of evil to one who is striking at the root.
~Thoreau

Posted Image

#33 Zero7

Zero7

    Advanced Member

  • Hero Member
  • PipPipPip
  • 344 posts
  • LocationIndia

Posted 24 February 2011 - 06:19 PM

Could it be that it's because B&N is closing stores and it's stock took a nose-dive they just don't care if their stuff works anymore?

Is B&N closing stores or Borders. Or both?

Edited by Zero7, 24 February 2011 - 06:19 PM.


#34 vafnord

vafnord

    Newbie

  • Jr. Member
  • Pip
  • 9 posts
  • LocationMontgomery, AL

Posted 24 February 2011 - 07:02 PM

Do you always flash back to a stock FW before flashing a new firmware?

I upgraded my two WPDNS to the stock 1/27 FW, then added some KG enhancements, then installed a bunch of apps from .apk. Everything was awesome except that I couldn't install from the Android Market website anymore, which I *really* like being able to do. I've been struggling with this all day.

When I came to SlateDroid this morning and saw that kewlguy had posted a brand spanking new FW based on a new FW from PanDigital (2/15), I decided to try it on one of my WPDNs in the hopes that it would automagically fix my problem. I installed the non-GE version, plus a selection of enhancements. I had to use the time-travel trick to get the Market working. Market installation from the web still didn't work, then I learned that installing from the Market website required Google Voice. So, I am about to try re-flashing with the GApps version. I have a 4 year old who is pretty unhappy that all of her games are gone from her tablet.

Questions:

Should I have flashed the stock PanDigital 2/15 FW before flashing KG's custom FW?
Is it my imagination that wifi is a little flakier on 2/15?
If I wanted to go back to 1/27 from 2/15, are there any known issues?

#35 JulieB

JulieB

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 114 posts

Posted 24 February 2011 - 09:03 PM

Is B&N closing stores or Borders. Or both?


Sigh. I really don't mean to hijack, so I'll start with the technical issues as I know it. The PDN with the JIT compiler running seems to play havoc with some of the reader software out there. This is a technical issue and has nothing to do with B&N or Borders closing stores.

Having said that... B&N ARE closing a few stores, but they're also looking at picking up a few locations that Borders is closing. Most of the stores that Borders are closing are being shuttered not because of sales, but because they think they can easily sublease those locations. B&N is thinking they can move into some of those spots and make money. If so, more power to them.

The upshot is, technical and financial issues are kind of separate.

#36 FredOak3

FredOak3

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 51 posts

Posted 24 February 2011 - 09:47 PM

Flashed this bad boy this afternoon, smooth as silk...market no problems, wifi no problems, so far so good and seems (I'm so easily fooled) a little snappier.

#37 alins

alins

    Member

  • Jr. Member
  • PipPip
  • 13 posts

Posted 24 February 2011 - 10:32 PM

Hi,

(newbie questions!)

Is it correct that I should follow the open platform flashing procedure if I have a white PDN with Jackbox 3.0.1.?

Also, is an update to Kewlguy's version 2.0.0 arriving, to fix the BN reader problem?

Thanks very much!

Paul

#38 kewlguy

kewlguy

    Advanced Member

  • Hero Member
  • PipPipPip
  • 429 posts
  • LocationAtlanta, GA

Posted 25 February 2011 - 09:07 AM

Hi,

(newbie questions!)

Is it correct that I should follow the open platform flashing procedure if I have a white PDN with Jackbox 3.0.1.?

Also, is an update to Kewlguy's version 2.0.0 arriving, to fix the BN reader problem?

Thanks very much!

Paul

Working on a fix now. I haven't figured out what is wrong yet though. If you are running 3.0.1, that is the pre-2011 OP so you need to follow the instructions as if you are coming from stock (i.e. flash twice).
Like my work?  Consider donating to support future development.

Posted Image

#39 lafatlife

lafatlife

    Advanced Member

  • Jr. Member
  • PipPipPip
  • 103 posts

Posted 25 February 2011 - 09:34 AM

Working on a fix now. I haven't figured out what is wrong yet though. If you are running 3.0.1, that is the pre-2011 OP so you need to follow the instructions as if you are coming from stock (i.e. flash twice).



I had the latest stock firmware and only added the market and that is when my B&N broke. Oddly enough, If I went into the market and installed the nook app, it worked fine.

I don't know if that helps you or not but I figured the information couldn't hurt.

#40 kewlguy

kewlguy

    Advanced Member

  • Hero Member
  • PipPipPip
  • 429 posts
  • LocationAtlanta, GA

Posted 25 February 2011 - 09:36 AM

I had the latest stock firmware and only added the market and that is when my B&N broke. Oddly enough, If I went into the market and installed the nook app, it worked fine.

I don't know if that helps you or not but I figured the information couldn't hurt.

Thanks for the post. Kindle, Nook, and pretty much every other reader work fine. It is just B&N giving the "Unknown Error". I'm getting frustrated.
Like my work?  Consider donating to support future development.

Posted Image